<?php
header('Content-Type: application/json');
header("Cache-Control: no-cache, must-revalidate");
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
require("dbinfo.php");
$con = mysqli_connect($sqlname, $username, $password, $db);
mysqli_query($con, "SET SESSION query_cache_type = OFF");
if(!$con){exit;}

$sql = '';

if($_REQUEST['sql']){$sql = $_REQUEST['sql'];}

$exito_en_consulta = FALSE;

if ($sql != '')
{
	$resultado = mysqli_query($con,$sql);
	$exito_en_consulta = TRUE;
}

$res = array();


if ($exito_en_consulta == TRUE)
{
$exito_en_consulta = FALSE;
$sql3 = "SELECT ID,NOMBRE,PASS,CELULAR,EMAIL,PERMISOS,EMPRESA,REVISAR,DESCRIPCION FROM usuarios WHERE ACTIVO = 1";
$resultado3 = mysqli_query($con,$sql3);
if ($resultado3 != FALSE){
	if (mysqli_num_rows($resultado3) > 0){
		while($row3 = mysqli_fetch_assoc($resultado3))
		{
			$elem = array(
							'id'=>$row3["ID"],		
							'nombre'=>$row3["NOMBRE"],
							'password'=>$row3["PASS"],
							'celular'=>$row3["CELULAR"],		  
							'email'=>$row3["EMAIL"],
							'permisos'=>$row3["PERMISOS"],
							'empresa'=>$row3["EMPRESA"],
							'revisar'=>$row3["REVISAR"],
							'descripcion'=>$row3["DESCRIPCION"]
      	   				);
			 $exito_en_consulta = TRUE;
			 array_push($res,$elem);
			}
		}
	}	
}			 
if ($exito_en_consulta == FALSE)			
		{
			$elem = array(
			  'id'=>'FALSO',	
	          'nombre'=>'FALSO',
			  'password'=>'FALSO',
			  'celular'=>'FALSO',
	          'email'=>'FALSO',
	          'permisos'=>'FALSO',
        	  'empresa'=>'FALSO',
			  'revisar'=>'FALSO',
			  'descripcion'=>'FALSO'
			  );
			  array_push($res,$elem);    
}

mysqli_close($con);
echo json_encode($res);
?>